## python-jsonpath-rw-ext 0.1.9

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.4
Babel>=1.3
jsonpath_rw

## python-jsonpath-rw-ext 0.1.7

=== debian/changelog ===
python-jsonpath-rw-ext (0.1.7-1~cloud0) trusty-liberty; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 15 Sep 2015 08:09:09 +0000

python-jsonpath-rw-ext (0.1.7-1) unstable; urgency=medium

  * Initial release. (Closes: #797749)

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2015 10:47:44 +0200

=== debian/control ===
Source: python-jsonpath-rw-ext
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.3),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.3),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage (>= 3.6),
                     python-hacking (>= 0.10.0),
                     python-jsonpath-rw,
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-babel,
                     python3-jsonpath-rw,
                     python3-oslotest (>= 1.10.0),
                     python3-subunit,
                     python3-testrepository,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-jsonpath-rw-ext.git
Vcs-Git: git://anonscm.debian.org/openstack/python-jsonpath-rw-ext.git
Homepage: https://github.com/sileht/python-jsonpath-rw-ext

Package: python-jsonpath-rw-ext
Architecture: all
Depends: python-babel,
         python-jsonpath-rw,
         python-pbr (>= 1.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-jsonpath-rw-ext-doc,
Description: extensions for JSONPath RW - Python 2.x
 Jsonpath-rw-ext extends json-path-rw capabilities by adding multiple
 extensions: 'len' that allows one to get the length of a list. 'sorted' that
 returns a sorted version of a list, 'arithmetic' that permits one to make math
 operation between elements and 'filter' to select only certain elements of a
 list.
 .
 This package contains the Python 2.x module.

Package: python3-jsonpath-rw-ext
Architecture: all
Depends: python3-babel,
         python3-jsonpath-rw,
         python3-pbr (>= 1.3),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-jsonpath-rw-ext-doc,
Description: Extensions for JSONPath RW - Python 3.x
 Jsonpath-rw-ext extends json-path-rw capabilities by adding multiple
 extensions: 'len' that allows one to get the length of a list. 'sorted' that
 returns a sorted version of a list, 'arithmetic' that permits one to make math
 operation between elements and 'filter' to select only certain elements of a
 list.
 .
 This package contains the Python 3.x module.

Package: python-jsonpath-rw-ext-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Extensions for JSONPath RW - doc
 Jsonpath-rw-ext extends json-path-rw capabilities by adding multiple
 extensions: 'len' that allows one to get the length of a list. 'sorted' that
 returns a sorted version of a list, 'arithmetic' that permits one to make math
 operation between elements and 'filter' to select only certain elements of a
 list.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/sileht/jsonpath-rw-ext.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-jsonpath-rw-ext; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-jsonpath-rw-ext; \
	done
	rm -rf $(CURDIR)/debian/python*-jsonpath-rw-ext/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-jsonpath-rw-ext-doc/usr/share/doc/python-jsonpath-rw-ext-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-jsonpath-rw-ext 0.1.9

=== debian/changelog ===
python-jsonpath-rw-ext (0.1.9-1) unstable; urgency=medium

  * New upstream release.
  * Fixed min version of jsonpath-rw.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2015 12:06:56 +0100

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,13 @@
 Build-Depends-Indep: python-babel,
                      python-coverage (>= 3.6),
                      python-hacking (>= 0.10.0),
-                     python-jsonpath-rw,
+                     python-jsonpath-rw (>= 1.4.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-babel,
-                     python3-jsonpath-rw,
+                     python3-jsonpath-rw (>= 1.4.0),
                      python3-oslotest (>= 1.10.0),
                      python3-subunit,
                      python3-testrepository,
@@ -38,7 +38,7 @@
 Package: python-jsonpath-rw-ext
 Architecture: all
 Depends: python-babel,
-         python-jsonpath-rw,
+         python-jsonpath-rw (>= 1.4.0),
          python-pbr (>= 1.3),
          ${misc:Depends},
          ${python:Depends},
@@ -55,7 +55,7 @@
 Package: python3-jsonpath-rw-ext
 Architecture: all
 Depends: python3-babel,
-         python3-jsonpath-rw,
+         python3-jsonpath-rw (>= 1.4.0),
          python3-pbr (>= 1.3),
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/sileht/jsonpath-rw-ext.git
+UPSTREAM_GIT = git://github.com/sileht/python-jsonpath-rw-ext.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/sileht/jsonpath-rw-ext/tags .*/(\d[\d\.]+)\.tar\.gz

## python-jsonpath-rw-ext 1.1.2

=== debian/changelog ===
python-jsonpath-rw-ext (1.1.2-0ubuntu0.17.10.1~cloud0) xenial-pike; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release (LP: #1780088).
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Sep 2018 14:19:02 -0400

python-jsonpath-rw-ext (0.1.9-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/watch: Fix url (Closes: #874443)
  * Updating standards version to 4.1.1.
  * Build docs with Python 3 version of Sphinx
  * d/copyright: Reorder
  * Bump debhelper compat version to 10

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

 -- Ondřej Nový <onovy@debian.org>  Mon, 06 Nov 2017 17:53:34 +0100

python-jsonpath-rw-ext (0.1.9-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:40:00 +0100

=== debian/control ===
Source: python-jsonpath-rw-ext
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 1.8),
 python-setuptools,
 python3-all,
 python3-pbr (>= 1.8),
 python3-setuptools,
 python3-sphinx (>= 1.3),
Build-Depends-Indep:
 python-babel,
 python-coverage (>= 3.6),
 python-hacking (>= 0.12.0),
 python-jsonpath-rw (>= 1.4.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1:1.10.0),
 python-subunit (>= 0.0.18),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 1.4.0),
 python3-babel,
 python3-coverage (>= 3.6),
 python3-hacking (>= 0.12.0),
 python3-jsonpath-rw (>= 1.4.0),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-subunit (>= 0.0.18),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 1.4.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-jsonpath-rw-ext
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-jsonpath-rw-ext
Homepage: https://github.com/sileht/python-jsonpath-rw-ext

Package: python-jsonpath-rw-ext
Architecture: all
Depends:
 python-babel,
 python-jsonpath-rw (>= 1.4.0),
 python-pbr (>= 1.8),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-jsonpath-rw-ext-doc,
Description: extensions for JSONPath RW - Python 2.x
 Jsonpath-rw-ext extends json-path-rw capabilities by adding multiple
 extensions: 'len' that allows one to get the length of a list. 'sorted' that
 returns a sorted version of a list, 'arithmetic' that permits one to make math
 operation between elements and 'filter' to select only certain elements of a
 list.
 .
 This package contains the Python 2.x module.

Package: python-jsonpath-rw-ext-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Extensions for JSONPath RW - doc
 Jsonpath-rw-ext extends json-path-rw capabilities by adding multiple
 extensions: 'len' that allows one to get the length of a list. 'sorted' that
 returns a sorted version of a list, 'arithmetic' that permits one to make math
 operation between elements and 'filter' to select only certain elements of a
 list.
 .
 This package contains the documentation.

Package: python3-jsonpath-rw-ext
Architecture: all
Depends:
 python3-babel,
 python3-jsonpath-rw (>= 1.4.0),
 python3-pbr (>= 1.8),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-jsonpath-rw-ext-doc,
Description: Extensions for JSONPath RW - Python 3.x
 Jsonpath-rw-ext extends json-path-rw capabilities by adding multiple
 extensions: 'len' that allows one to get the length of a list. 'sorted' that
 returns a sorted version of a list, 'arithmetic' that permits one to make math
 operation between elements and 'filter' to select only certain elements of a
 list.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/sileht/python-jsonpath-rw-ext.git
+UPSTREAM_GIT := https://github.com/sileht/python-jsonpath-rw-ext.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

## python-jsonpath-rw-ext 1.1.3

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,5 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr<2.0,>=1.4
-Babel>=1.3
-jsonpath_rw
+pbr>=1.8
+jsonpath-rw>=1.2.0

=== debian/changelog ===
python-jsonpath-rw-ext (1.1.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Mar 2018 17:41:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,55 +1,46 @@
 Source: python-jsonpath-rw-ext
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python-all,
- python-pbr (>= 1.8),
+ python-pbr,
  python-setuptools,
  python3-all,
- python3-pbr (>= 1.8),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.3),
+ python3-sphinx,
 Build-Depends-Indep:
- python-babel,
- python-coverage (>= 3.6),
- python-hacking (>= 0.12.0),
- python-jsonpath-rw (>= 1.4.0),
- python-oslosphinx (>= 2.5.0),
+ python-coverage,
+ python-hacking,
+ python-jsonpath-rw,
  python-oslotest (>= 1:1.10.0),
- python-subunit (>= 0.0.18),
- python-testrepository (>= 0.0.18),
- python-testscenarios (>= 0.4),
+ python-testscenarios,
  python-testtools (>= 1.4.0),
- python3-babel,
- python3-coverage (>= 3.6),
- python3-hacking (>= 0.12.0),
- python3-jsonpath-rw (>= 1.4.0),
+ python3-jsonpath-rw,
  python3-oslosphinx (>= 2.5.0),
  python3-oslotest (>= 1:1.10.0),
- python3-subunit (>= 0.0.18),
- python3-testrepository (>= 0.0.18),
- python3-testscenarios (>= 0.4),
+ python3-subunit,
+ python3-testrepository,
+ python3-testscenarios,
  python3-testtools (>= 1.4.0),
  subunit,
  testrepository,
-Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-jsonpath-rw-ext
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-jsonpath-rw-ext
+Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-jsonpath-rw-ext
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-jsonpath-rw-ext.git
 Homepage: https://github.com/sileht/python-jsonpath-rw-ext
 
 Package: python-jsonpath-rw-ext
 Architecture: all
 Depends:
- python-babel,
- python-jsonpath-rw (>= 1.4.0),
- python-pbr (>= 1.8),
+ python-jsonpath-rw,
+ python-pbr,
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -81,9 +72,8 @@
 Package: python3-jsonpath-rw-ext
 Architecture: all
 Depends:
- python3-babel,
- python3-jsonpath-rw (>= 1.4.0),
- python3-pbr (>= 1.8),
+ python3-jsonpath-rw,
+ python3-pbr,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/sileht/python-jsonpath-rw-ext.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-jsonpath-rw-ext-doc/usr/share/doc/python-jsonpath-rw-ext-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	dh_clean
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/sileht/python-jsonpath-rw-ext/tags .*/(\d[\d\.]+)\.tar\.gz

## python-jsonpath-rw-ext 1.2.0

=== debian/changelog ===
python-jsonpath-rw-ext (1.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 22:20:27 +0200

python-jsonpath-rw-ext (1.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.
  * Forced using openstack-pkg-tools (>= 97~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 15:30:22 +0100

=== debian/control ===
Source: python-jsonpath-rw-ext
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 97~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-jsonpath-rw,
 python3-oslosphinx,
 python3-oslotest,
 python3-subunit,
 python3-testrepository,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-jsonpath-rw-ext
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-jsonpath-rw-ext.git
Homepage: https://github.com/sileht/python-jsonpath-rw-ext

Package: python-jsonpath-rw-ext-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Extensions for JSONPath RW - doc
 Jsonpath-rw-ext extends json-path-rw capabilities by adding multiple
 extensions: 'len' that allows one to get the length of a list. 'sorted' that
 returns a sorted version of a list, 'arithmetic' that permits one to make math
 operation between elements and 'filter' to select only certain elements of a
 list.
 .
 This package contains the documentation.

Package: python3-jsonpath-rw-ext
Architecture: all
Depends:
 python3-jsonpath-rw,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-jsonpath-rw-ext-doc,
Description: Extensions for JSONPath RW - Python 3.x
 Jsonpath-rw-ext extends json-path-rw capabilities by adding multiple
 extensions: 'len' that allows one to get the length of a list. 'sorted' that
 returns a sorted version of a list, 'arithmetic' that permits one to make math
 operation between elements and 'filter' to select only certain elements of a
 list.
 .
 This package contains the Python 3.x module.

## python-jsonpath-rw-ext 1.2.2

=== debian/changelog ===
python-jsonpath-rw-ext (1.2.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 19:17:35 +0200

python-jsonpath-rw-ext (1.2.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2019 21:47:14 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-testtools,
  subunit,
  testrepository,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-jsonpath-rw-ext
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-jsonpath-rw-ext.git
 Homepage: https://github.com/sileht/python-jsonpath-rw-ext

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/sileht/python-jsonpath-rw-ext.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-jsonpath-rw-ext-doc/usr/share/doc/python-jsonpath-rw-ext-doc/html
	dh_sphinxdoc
endif
